<template>
    <div>
        <s-header :name="$t('airwallex.paymentDetail')" :noback="false"></s-header>
        <div>付款详情：</div>
        
        <div class="button-container">
            <van-button round type="primary" @click="backToIndex">关闭</van-button>
        </div>
    </div>
</template>
  
<script>
import sHeader from "@/components/SimpleHeader";
import { styleUrl } from '../../common/js/utils';
import { useRouter, useRoute } from "vue-router";
import { ref, onMounted } from 'vue';


export default {
    setup() {

        const router = useRouter();
        const route = useRoute();
        const paymentId = ref();


        styleUrl("airwallex");

        onMounted(async () => {
            try {
                // 获取从 payout 页面获取到的参数
                paymentId.value = route.query.paymentId;

                console.log("paymentId >>> " + paymentId.value);

            } catch (error) {
                console.error(error);
                // 处理异常情况
            }
        });


        // 导航到 airwallex 页面
        const backToIndex = async () => {
            router.push('/airwallex');
        }
        return {
            backToIndex
        };
    },
    components: { sHeader },
};
</script>
  